| 0.9.9 API documenation

Functions
matrix_major_storage.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | colMajor2 (vec< 2, T, Q > const &v1, vec< 2, T, Q > const &v2)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | colMajor2 (mat< 2, 2, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | colMajor3 (vec< 3, T, Q > const &v1, vec< 3, T, Q > const &v2, vec< 3, T, Q > const &v3)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | colMajor3 (mat< 3, 3, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | colMajor4 (vec< 4, T, Q > const &v1, vec< 4, T, Q > const &v2, vec< 4, T, Q > const &v3, vec< 4, T, Q > const &v4)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | colMajor4 (mat< 4, 4, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | rowMajor2 (vec< 2, T, Q > const &v1, vec< 2, T, Q > const &v2)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 2, 2, T, Q > | rowMajor2 (mat< 2, 2, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | rowMajor3 (vec< 3, T, Q > const &v1, vec< 3, T, Q > const &v2, vec< 3, T, Q > const &v3)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | rowMajor3 (mat< 3, 3, T, Q > const &m)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | rowMajor4 (vec< 4, T, Q > const &v1, vec< 4, T, Q > const &v2, vec< 4, T, Q > const &v3, vec< 4, T, Q > const &v4)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | rowMajor4 (mat< 4, 4, T, Q > const &m)

## Detailed Description

GLM_GTX_matrix_major_storage

See also
  Core features (dependence)
  gtx_extented_min_max (dependence)

Definition in file matrix_major_storage.hpp.